List Account Statuses

Beta
GET/v1/sales/account-statuses

This endpoint is idempotent. Learn more

Returns a paginated list of account statuses. Global lookup values for setting account relationship statuses.

cursoroptional string

Query parameter: cursor for List Account Statuses

limitoptional integer

Query parameter: limit for List Account Statuses

qoptional string

Query parameter: q for List Account Statuses

include[]optional arrayenumValues:ownerowner.account

Sub-objects to expand in the response. When omitted, sub-objects are returned as null.

objectstringenumValues:list

Object type for AccountStatus list

page_infoobject

Pagination metadata for AccountStatus list

next_cursorstringnullable

Cursor to fetch the next page, null if no more pages.

prev_cursorstringnullable

Cursor to fetch the previous page, null if on the first page.

has_next_pageboolean

Whether more results exist after this page.

has_prev_pageboolean

Whether results exist before this page.

dataarray of object

Array of AccountStatus resources in this page

idstring

Account status ID.

objectstringenumValues:account_status

Resource type identifier.

codestringenumValues:normalpreferredhold_shipment

Machine-readable status code.

namestring

Display name.

ownerobjectExpandablenullable

Owner of this resource.

objectstringenumValues:owner

Resource type identifier.

typestringenumValues:systemaccount

The owner type: "system" for platform defaults, "account" for account-owned resources.

accountobjectExpandablenullable

The account that owns this resource. null if the object is system-owned.

idstring

Account ID.

objectstringenumValues:account

Resource type identifier.

namestring

Display name.

default_billing_addressobjectnullable

Default billing address.

Always returned as null in this endpoint.
default_shipping_addressobjectnullable

Default shipping address.

Always returned as null in this endpoint.
brandingobjectnullable

Branding configuration.

Always returned as null in this endpoint.
portalobjectnullable

Portal configuration.

Always returned as null in this endpoint.
created_atstring (date-time)

Creation timestamp.

updated_atstring (date-time)

Last updated timestamp.

created_atstring (date-time)

Creation timestamp.

updated_atstring (date-time)

Last updated timestamp.

Responses

200

Successful response for List Account Statuses